//
//  AVFoundation_Test3ViewController.m
//  AVFoundation_Test3
//
//  Created by Sam  keene on 17/07/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "AVFoundation_Test3ViewController.h"
static void *AVPlayerDemoPlaybackViewControllerStatusObservationContext = &AVPlayerDemoPlaybackViewControllerStatusObservationContext;

@implementation AVFoundation_Test3ViewController
@synthesize mPlaybackView, queuePlayer;

- (void)dealloc
{
    [queuePlayer release];
    [mPlaybackView release];
    [super dealloc];
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    NSString *secondVideoPath = [[NSBundle mainBundle] pathForResource:@"littleVid3" ofType:@"mp4"];
	NSString *firstVideoPath = [[NSBundle mainBundle] pathForResource:@"littleVid4" ofType:@"mov"];
	
	
	AVPlayerItem *firstVideoItem = [AVPlayerItem playerItemWithURL:[NSURL fileURLWithPath:firstVideoPath]];
	AVPlayerItem *secondVideoItem = [AVPlayerItem playerItemWithURL:[NSURL fileURLWithPath:secondVideoPath]];
    
	self.queuePlayer = [AVQueuePlayer queuePlayerWithItems:[NSArray arrayWithObjects:firstVideoItem, secondVideoItem,nil]];
	[self.mPlaybackView setPlayer:self.queuePlayer];
	[self.queuePlayer play];
    
}

@end
